<div class="article">
  <nz-spin [nzSpinning]="isLoading">
    <nz-page-header nzBackIcon>
      <nz-breadcrumb nz-page-header-breadcrumb>
        <nz-breadcrumb-item>
          <a [routerLink]="['/country', countryId]">{{ country?.name }}</a>
        </nz-breadcrumb-item>
        <nz-breadcrumb-item>
          <a [routerLink]="['/country', countryId, 'administration']">{{ "Politics.Administration" | translate }}</a>
        </nz-breadcrumb-item>
        <nz-breadcrumb-item>{{ "Politics.Laws.Law" | translate }} #{{ lawId }}</nz-breadcrumb-item>
      </nz-breadcrumb>

      <nz-page-header-title>{{ "Politics.Laws." + law?.title | translate }}</nz-page-header-title>

      <nz-page-header-tags>
        <nz-tag *ngIf="law?.outcome === 'Accepted'" nzColor="success">
          <span nz-icon nzType="check-circle"></span> {{ "Common.Accepted" | translate }}
        </nz-tag>
        <nz-tag *ngIf="law?.outcome === 'Rejected'" nzColor="error">
          <span nz-icon nzType="close-circle"></span> {{ "Common.Rejected" | translate }}: {{ law?.rejectReason }}
        </nz-tag>
        <nz-tag *ngIf="law?.outcome === 'Ongoing' && timer <= 0" nzColor="processing">
          <span nz-icon nzType="sync" nzSpin></span> {{ "Common.Processing" | translate }}
        </nz-tag>
      </nz-page-header-tags>

      <nz-page-header-extra>
        <div *ngIf="law?.outcome === 'Ongoing' && timer > 0" style="text-align: center;">
          <h2>{{ "Politics.Laws.timeLeft" | translate }}</h2>
          <h3>{{ timerDisplay }}</h3>
        </div>
      </nz-page-header-extra>

    </nz-page-header>

    <h3 style="text-align: center; margin-top: 10px" *ngIf="law?.data">
      <div>
        {{ "Politics.Countries.CountryRepresentative" | translate }}
        <a [routerLink]="['/citizen', law.data.creator.id]">{{
          law?.data?.creator.name
          }}</a>
        {{ "Politics.Countries.Proposes" | translate }}:
      </div>

      <div *ngIf="law.title === 'CreateConstruction'">
        1. {{ "Politics.Laws.Types.ConstructionOfNewStrategicalConstruction" | translate:{ law: { data: {
        constructionType: { symbol: getTranslation('Economy.' + law.data.constructionType.symbol) } } }, lawDetails } }}
        <a [routerLink]="['/region', law.data.region.id]">{{
          law.data.region.name
          ? law.data.region.name
          : law.data.region.x + "," + law.data.region.y
          }}</a>.<br />
        2. {{ "Politics.Laws.Types.RequiredMaterialsWill" | translate }}
        <a [routerLink]="['/organisation', law.data.nationalOrganization.id]">{{
          law.data.nationalOrganization.name
          }}</a>.
      </div>

      <div *ngIf="law.title === 'CreateNationalOrganization'">
        1. <span
          [innerHtml]="'Politics.Laws.Types.CreationOfNewNationalOrganization' | translate:{ lawDetails }"></span>
        2. {{ "Politics.Laws.Types.OrganisationWillBePlaced" | translate }}
        <a [routerLink]="['/region', law.data.region.id]">
          {{ law.data.region.name }}
        </a>.<br />
        3. <span [innerHtml]="'Politics.Laws.Types.ThisWillBeCostOf' | translate"></span>
      </div>

      <div *ngIf="law.title === 'PrintCurrency'">
        1. {{ "Politics.Laws.Types.PrintingUnitsOfCurrency" | translate:{ lawDetails } }} {{
        law.data.country.currency.symbol }}.<br />
        2. {{ "Politics.Laws.Types.ThisWillCost" | translate:{ lawDetails } }}
      </div>

      <div *ngIf="law.title === 'WithdrawCurrency'">
        1. {{ "Politics.Laws.Types.TransferOf" | translate:{ law, lawDetails } }}
        <a [routerLink]="['/organisation', law.data.nationalOrganization.id]">
          {{ law.data.nationalOrganization.name }} </a>.
      </div>

      <div *ngIf="law.title === 'CloseBorder'">
        1. {{ "Politics.Laws.Types.CloseForForeigners" | translate }}
      </div>

      <div *ngIf="law.title === 'ReopenBorder'">
        1. {{ "Politics.Laws.Types.ReopenBorders" | translate }}.
      </div>

      <div *ngIf="law.title === 'TransferLeadership'">
        1. {{ "Politics.Laws.Types.TransferLeadership" | translate }}
        <a [routerLink]="['/citizen', law.data.newLeader.id]">
          {{ law.data.newLeader.name }}
        </a>.
      </div>

      <div *ngIf="law.title === 'TradeEmbargo'">
        1. {{ "Politics.Laws.Types.DisallowAnyTrades" | translate }}
        <a [routerLink]="['/country', law.data.targetCountry.id]">
          {{ law.data.targetCountry.name }}</a>.
      </div>
      <div *ngIf="law.title === 'TradeEmbargoCancel'">
        1. {{ "Politics.Laws.Types.AllowAnyTrades" | translate }}
        <a [routerLink]="['/country', law.data.targetCountry.id]">
          {{ law.data.targetCountry.name }}</a>.
      </div>

      <div *ngIf="law.title === 'WelcomeMessage'">
        1. {{ "Politics.Laws.Types.NewWelcomeMessage" | translate }}:
        <nz-card>
          <p [innerHtml]="lawDetails?.Content.replaceAll('\n', '<br />')"></p>
        </nz-card>
      </div>

      <div *ngIf="law.title === 'CitizenFee'">
        1. {{ "Politics.Laws.Types.SetCitizenFee" | translate }}
        <i>{{ lawDetails?.Amount }}{{ law.data.country.currency.symbol }}</i>
      </div>

      <div *ngIf="law.title === 'MinimalWage'">
        1. {{ "Politics.Laws.Types.SetMinimalWage" | translate }}
        <i>{{ lawDetails?.Amount }}{{ law.data.country.currency.symbol }}</i>
      </div>

      <div *ngIf="law.title === 'TaxChange'">
        1. {{ "Politics.Laws.Types.ChangeTaxes" | translate }}
        <i>{{ "Economy." + law.data.product.symbol | translate }}</i>
        <nz-card>
          <h4>{{ "Economy.Market.Taxes.VAT" | translate }}: {{ lawDetails?.Vat }}%</h4>
          <h4>{{ "Economy.Market.Taxes.IncomeTax" | translate }}: {{ lawDetails?.IncomeTax }}%</h4>
          <h4>{{ "Economy.Market.Taxes.ExportTax" | translate }}: {{ lawDetails?.ExportTax }}%</h4>
          <h4>{{ "Economy.Market.Taxes.ImportTax" | translate }}: {{ lawDetails?.ImportTax }}%</h4>
        </nz-card>
      </div>

      <div *ngIf="law.title === 'DeclareWar'">
        1. {{ "Politics.Laws.Types.DeclareWarAgainst" | translate }}
        <a [routerLink]="['/country', law.data.targetCountry.id]">
          {{ law.data.targetCountry.name }}</a>.
      </div>

      <div *ngIf="law.title === 'ProposePeace'">
        1. {{ "Politics.Laws.Types.FinishWarWith" | translate }}
        <a [routerLink]="['/country', law.data.targetCountry.id]">
          {{ law.data.targetCountry.name }}</a>.
      </div>

      <div *ngIf="law.title === 'ChangeFlag'">
        1. {{ "Politics.Laws.Types.ChangeCountryFlagTo" | translate }}<br />
        <img *ngIf="lawDetails.FlagLocation" [src]="lawDetails.FlagLocation" class="avatar" style="max-width: 100%" />
      </div>

      <div *ngIf="law.title === 'TradeAgreement'">
        1. {{ "Politics.Laws.Types.createAgreementCountry" | translate }}
        <a [routerLink]="['/country', law.data.targetCountry.id]">{{ law.data.targetCountry.name }}</a>.
      </div>

      <div *ngIf="law.title === 'CancelTradeAgreement'">
        1. {{ "Politics.Laws.Types.cancelAgreementCountry" | translate }}
        <a [routerLink]="['/country', law.data.targetCountry.id]">{{ law.data.targetCountry.name }}</a>.
      </div>

      <div *ngIf="law.title === 'RegionNameChange'">
        <div
          [innerHTML]="'Politics.Laws.nameRegionChange' | translate: {x: law.data.region.x, y: law.data.region.y, oldName: law.data.region.name, newName: lawDetails?.Name}">
        </div>
        <br />
        <div [innerHTML]="'Politics.Laws.regionNameCost' | translate"></div>
      </div>

      <div *ngIf="law.title === 'NewspaperCensorship'">
        1. {{ "Politics.Laws.censorshipNewspaper1" | translate }}
        <a [routerLink]="['/newspaper', law.data.newspaper.id]"><i>{{ law.data.newspaper.name}}</i></a>
        {{ "Politics.Laws.fromPublishingArticles" | translate }}
        <br />
        2. {{ "Politics.Laws.censorshipNewspaper2" | translate }}
      </div>

      <div *ngIf="law.title === 'RevokeCitizenship'">
        1. {{ "Citizen.Citi" | translate }}
        <a [routerLink]="['/citizen', law.data.targetCitizen.id]"><i>{{ law.data.targetCitizen.name}}</i></a>
        {{ "Politics.Laws.RevokeCitizenship1" | translate }}
      </div>
    </h3>


    <div *ngIf="law?.outcome != 'Ongoing'">
      <nz-divider [nzText]="'Social.Newspaper.Votes' | translate"></nz-divider>
      <div nz-row nzJustify="space-around" nzGutter="24">
        <div nz-col nzXs="16" nzSm="14" nzMd="10" nzLg="10" nzXl="8" nzXXl="6">
          <app-chart *ngIf="chartData" [labels]="chartData.labels" [datasets]="chartData.datasets" type="doughnut">
          </app-chart>
        </div>
        <div nz-col nzXs="23" nzMd="13">
          <nz-collapse style="margin-top: 20px">
            <nz-collapse-panel nzHeader="{{'Politics.Laws.For' | translate}}: {{forVoters.length}}"
              [nzActive]="forVoters.length > 0">

              <nz-list nzItemLayout="horizontal" nzSize="small">
                <nz-list-item *ngFor="let user of forVoters; index as i">
                  <nz-list-item-meta [nzAvatar]="user.avatar">
                    <nz-list-item-meta-title>
                      <a [routerLink]="['/citizen', user.citizenId]">{{i + 1}}. {{ user.name }}</a>
                    </nz-list-item-meta-title>
                  </nz-list-item-meta>
                </nz-list-item>
                <nz-list-empty *ngIf="forVoters.length === 0"></nz-list-empty>
              </nz-list>

            </nz-collapse-panel>

            <nz-collapse-panel nzHeader="{{'Politics.Laws.Against' | translate}}: {{againstVoters.length}}"
              [nzActive]="againstVoters.length > 0">

              <nz-list nzItemLayout="horizontal" nzSize="small">
                <nz-list-item *ngFor="let user of againstVoters; index as i">
                  <nz-list-item-meta [nzAvatar]="user.avatar">
                    <nz-list-item-meta-title>
                      <a [routerLink]="['/citizen', user.citizenId]">{{i + 1}}. {{ user.name }}</a>
                    </nz-list-item-meta-title>
                  </nz-list-item-meta>
                </nz-list-item>
                <nz-list-empty *ngIf="againstVoters.length === 0"></nz-list-empty>
              </nz-list>

            </nz-collapse-panel>

            <nz-collapse-panel nzHeader="{{'Politics.Laws.Abstent' | translate}}: {{abstentVoters.length}}"
              [nzActive]="abstentVoters.length > 0">

              <nz-list nzItemLayout="horizontal" nzSize="small">
                <nz-list-item *ngFor="let user of abstentVoters; index as i">
                  <nz-list-item-meta [nzAvatar]="user.avatar">
                    <nz-list-item-meta-title>
                      <a [routerLink]="['/citizen', user.citizenId]">{{i + 1}}. {{ user.name }}</a>
                    </nz-list-item-meta-title>
                  </nz-list-item-meta>
                </nz-list-item>
                <nz-list-empty *ngIf="abstentVoters.length === 0"></nz-list-empty>
              </nz-list>

            </nz-collapse-panel>
          </nz-collapse>
        </div>
      </div>
    </div>

    <div *ngIf="law?.outcome === 'Ongoing' && !isAllowedToVote">
      <nz-alert nzType="warning" nzMessage="{{ 'Politics.Laws.Types.YouCantVoteForThis' | translate }}" nzShowIcon
        style="text-align: center;"></nz-alert>
    </div>
    <div *ngIf="law?.outcome === 'Ongoing' && isAllowedToVote">
      <nz-divider nzText='{{ "Politics.Laws.howLikeVote" | translate }}' style="margin-top: 30px; margin-bottom: 30px;"></nz-divider>
      <div nz-row nzJustify="space-around">
        <button nz-button nzShape="round" nz-col nzXs="24" nzSm="16" nzMd="5" nzType="primary" (click)="vote('Y')"
          [nzLoading]="isLoading">
          {{ "Politics.Laws.For" | translate }}
        </button>
        <button nz-button nzShape="round" nz-col nzXs="24" nzSm="16" nzMd="5" nzType="primary" (click)="vote('A')"
          [nzLoading]="isLoading">
          {{ "Politics.Laws.Abstent" | translate }}
        </button>
        <button nz-button nzShape="round" nz-col nzXs="24" nzSm="16" nzMd="5" nzType="primary" (click)="vote('N')"
          [nzLoading]="isLoading">
          {{ "Politics.Laws.Against" | translate }}
        </button>
      </div>
    </div>
  </nz-spin>
</div>